#!/usr/bin/perl
use warnings;
use strict;
use Getopt::Std;

sub usage() {
	print "Usage: $0 -w <warning> -c <critical>\n";
	exit 3;
}

$ENV{"PATH"} = "/usr/bin";

my $pid = `/bin/pidof callweaver`;
chomp $pid;
my @FDs = </proc/${pid}/fd/*>;
my $count = @FDs;
my %opts;
getopt ('wc', \%opts);

unless ( (defined ( $opts{"w"} ) ) || (defined ( $opts{"c"} ) ) ) {
	&usage;
}

my ($res,$status);

if ( $count < $opts{"w"} ) {
	$res = 0;
	$status = "OK";
}
elsif (( $count > $opts{"w"} ) && ( $count < $opts{"c"})) {
	$res = 1;
	$status = "WARNING";
}
else {
	$res = 2;
	$status = "CRITICAL";
}

print "$status - $count file descriptors are open | FDs=$count\n";
exit $res;

